Subject: bug#21645: closed (Re: bug#21645: Inquiry: reproducibility of a paragraph-fill bug)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 09 Oct 2015 06:02:03 +0000

Your bug report

#21645: Inquiry: reproducibility of a paragraph-fill bug

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
21645: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=21645
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#21645: Inquiry: reproducibility of a paragraph-fill bug
From: Tassilo Horn <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 09 Oct 2015 08:00:53 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] writes:

Hi!

> Thank you very much. My bad, I should've checked this beforehand (and it wasn't
> my intention to submit a bug).  I didn't imagine there could be such a (useful)
> feature

Now you see. :-)

> – or I would've expected it to apply to '$...$' as well by default.

Yes, I think this has been a bug (at least since 2004) which I have
fixed right now.  So now \(...\) and $...$ and \[...\] and $$...$$
should be treated equally.

I'm closing this bug.

Bye,
Tassilo

Subject: Inquiry: reproducibility of a paragraph-fill bug
From: [email-masked]
To: [email-masked]
Date: Thu, 8 Oct 2015 09:57:56 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi all,

I noticed that both fill-paragraph and LaTeX-fill-paragraph, 
called on a paragraph that contains "\( ... \)" inline math, 
will break lines after each "\)", except those on the last 
line. For example ("*" indicates where lines break, in case 
formatting is lost via email);

blah blah blah \(blah\)*
blah \(blah\)*
blah blah blah blah blah blah blah blah blah blah blah blah 
blah blah*
blah blah \(blah\)*
blah blah blah blah blah blah blah blah blah blah blah blah 
blah blah*
blah blah blah blah \(blah\) blah \(blah\) blah.

Weird behaviour, it appears also launching Emacs with the 
--no-init-file option.

Can you reproduce this? If so, is this to be considered a 
bug of fill.el or auctex?

Cheers,
J